PKGCTL-SEARCH(1)

NAME
pkgctl-search - Search for an expression across the GitLab packaging group

SYNOPSIS

pkgctl search [OPTIONS] QUERY

DESCRIPTION

Search for an expression across the GitLab packaging group.

To use a filter, include it in your query. You may use wildcards (*) to use glob matching.

Available filters for the blobs scope: path, extension

Every usage of the search command must be authenticated. Consult the 'pkgctl auth' command to authenticate with GitLab or view the authentication status.

SEARCH TIPS

    Syntax  Description    Example
    ───────────────────────────────────────
    "       Exact search   "gem sidekiq"
    ~       Fuzzy search   J~ Doe
    |       Or             display | banner
    +       And            display +banner
    -       Exclude        display -banner
    *       Partial        bug error 50*
    \       Escape         \*md
    #       Issue ID       #23456
    !       Merge request  !23456

OPTIONS

-h, --help
    Show a help text

FILTER OPTIONS

--no-default-filter
    Do not apply default filter (like -path:keys/pgp/*.asc)

OUTPUT OPTIONS

--json
    Enable printing in JSON; Shorthand for '--format json'

-F, --format FORMAT
    Controls the formatting of the results; FORMAT is 'pretty', 'plain', or 'json' (default pretty)

-N, --no-line-number
    Don’t show line numbers when formatting results

SEE ALSO

pkgctl-auth(1)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.